com.independentsoft.exchange

## Enum OnlineMeetingAccessLevel

- java.lang.Object
- - java.lang.Enum<OnlineMeetingAccessLevel>
  - - com.independentsoft.exchange.OnlineMeetingAccessLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OnlineMeetingAccessLevel>

      public enum OnlineMeetingAccessLevel
      extends java.lang.Enum<OnlineMeetingAccessLevel>

  The Enum OnlineMeetingAccessLevel.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVERYONE`
    `INTERNAL`
    `INVITED`
    `LOCKED`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OnlineMeetingAccessLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OnlineMeetingAccessLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCKED

          public static final OnlineMeetingAccessLevel LOCKED

    - #### INVITED

          public static final OnlineMeetingAccessLevel INVITED

    - #### INTERNAL

          public static final OnlineMeetingAccessLevel INTERNAL

    - #### EVERYONE

          public static final OnlineMeetingAccessLevel EVERYONE

    - #### NONE

          public static final OnlineMeetingAccessLevel NONE

  - ### Method Detail

    - #### values

          public static OnlineMeetingAccessLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OnlineMeetingAccessLevel c : OnlineMeetingAccessLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OnlineMeetingAccessLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null